org.glassfish.jersey.spi

## Interface ExternalConfigurationProvider

    public interface ExternalConfigurationProvider

Provider interface for external (SPI) providers to provide their configuration properties implementations Priority of providers can be adjusted by Priority annotation or just alphabetically (if no Provider annotation is found)

### Method Summary

All Methods Instance Methods Abstract Methods
`ExternalConfigurationModel` `getConfiguration()` obrain model object which has direct access to external configuration
`Map<String,Object>` `getProperties()` Map of properties from the model (external config file)
`ExternalConfigurationModel` `merge(ExternalConfigurationModel input)` Merge properties from other provider/model

### Method Detail

#### getProperties

    Map<String,Object> getProperties()

Map of properties from the model (external config file)

Returns:
  Map of properties loaded by a model from config file

#### getConfiguration

    ExternalConfigurationModel getConfiguration()

obrain model object which has direct access to external configuration

Returns:
  model of external properties

#### merge

    ExternalConfigurationModel merge(ExternalConfigurationModel input)

Merge properties from other provider/model

Parameters:
  `input` - those properties will be merged into ours
Returns:
  current instance of provider